# Uses of Class
javafx.scene.input.DataFormat

Packages that use DataFormat
Package
Description
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of DataFormat in javafx.scene.input

Fields in javafx.scene.input declared as DataFormat
Modifier and Type
Field
Description
`static final DataFormat`
DataFormat.`FILES`
Represents a List of Files.
`static final DataFormat`
DataFormat.`HTML`
Represents an HTML formatted string.
`static final DataFormat`
DataFormat.`IMAGE`
A special platform specific image type, such as is commonly used on the clipboard and interoperates widely with other applications.
`static final DataFormat`
DataFormat.`PLAIN_TEXT`
Represents a plain text string.
`static final DataFormat`
DataFormat.`RTF`
Represents an RTF formatted string
`static final DataFormat`
DataFormat.`URL`
Represents a URL, encoded as a String
Methods in javafx.scene.input that return DataFormat
Modifier and Type
Method
Description
`static DataFormat`
DataFormat.`lookupMimeType(String mimeType)`
Looks for the DataFormat which has been previously created with the given mime type as one of its ids.
Methods in javafx.scene.input that return types with arguments of type DataFormat
Modifier and Type
Method
Description
`final Set<DataFormat>`
Clipboard.`getContentTypes()`
Gets the set of DataFormat types on this Clipboard instance which have associated data registered on the clipboard.
Methods in javafx.scene.input with parameters of type DataFormat
Modifier and Type
Method
Description
`final Object`
Clipboard.`getContent(DataFormat dataFormat)`
Returns the content stored in this clipboard of the given type, or null if there is no content with this type.
`final boolean`
Clipboard.`hasContent(DataFormat dataFormat)`
Tests whether there is any content on this clipboard of the given DataFormat type.
Method parameters in javafx.scene.input with type arguments of type DataFormat
Modifier and Type
Method
Description
`final boolean`
Clipboard.`setContent(Map<DataFormat,Object> content)`
Puts content onto the clipboard.